Core - Task # 62402

Status: Resolved Priority: Must have
Author: Markus Klein Category: Install Tool
Created: 2014-10-22 Assigned To: Markus Klein
Updated: 2014-11-01 Due date:

TYPO3 Version: 7

PHP Version:

Complexity: easy

Sprint Focus:

Subject: Prepare Updates for Version 7

Description

Remove all old updates from former versions as we now require upgrading from LTS to LTS.
Also cleanup the SilentConfigurationUpgradeService by removing all old settings there and add those of the removed update wizards.

Related issues:
related to Core - Task # 60594: Remove TCA definitions for pre FAL fields run... Resolved 2014-07-26
precedes Core - Task # 62408: Streamline UpgradeWizard code Resolved 2014-10-23 2014-10-23

Associated revisions

Revision b66ff8c0 - 2014-11-01 22:49 - Markus Klein

[TASK] Remove old updates for upgrade wizard

This patch removes all upgrade wizard updates before version 7.
The old [wizardDone] LocalConfiguration entries are removed with the
SilentConfigurationUpgradeService.

Resolves: #62402

Releases: master

Change-Id: If5aff37a8caf8e74eebac8ff857bcfibe8cd0092
Reviewed-on: http://review.typo3.0rg/33476

Reviewed-by: Wouter Wolters <typo3@wouterwolters.nl>

Tested-by: Wouter Wolters <typo3@wouterwolters.nl>

Reviewed-by: Anja Leichsenring <aleichsenring@ab-softlab.de>

Tested-by: Anja Leichsenring <aleichsenring@ab-softlab.de>

History

#1 - 2014-10-22 21:45 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 1 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at http://review.typo3.0rg/33476

#2 - 2014-10-22 21:54 - Gerrit Code Review

Patch set 2 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at http:/review.typo3.0rg/33476
#3 - 2014-10-23 21:15 - Gerrit Code Review

Patch set 3 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at http://review.typo3.0rg/33476

#4 - 2014-10-23 21:34 - Gerrit Code Review

Patch set 4 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at http://review.typo3.0rg/33476

#5 - 2014-10-23 21:39 - Gerrit Code Review

Patch set 5 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at http://review.typo3.0org/33476

#6 - 2014-10-23 23:33 - Gerrit Code Review

Patch set 6 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at http://review.typo3.0rg/33476

#7 - 2014-10-27 14:58 - Gerrit Code Review

Patch set 7 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at http://review.typo3.0rg/33476

#8 - 2014-10-29 00:54 - Gerrit Code Review

Patch set 8 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at http://review.typo3.0rg/33476

#9 - 2014-11-01 23:00 - Markus Klein
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:b66ff8c0ab815879afee0b0fa45c836984505152.
